#pragma once
#include "Entity.h"
#include "EntityStateGravity.h"
class CS_PeCountdown;
#define CS_ENEMY_COUNTERBOMBSMALL_CREATENAME L"CS_enemy_counterbomb_small"
class CS_Enemy_CounterBombSmall :
    public Entity
{
public:
    CS_Enemy_CounterBombSmall();
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    void SetState(int stateID, int lr) override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    int act_no = 0;
    int count1 = 0;
    int act_wait = 0;
    bool bExplode = false;
    int damage = 5;
    int birthTime = 0;
    EntityStateGravity stateGravity;
    std::weak_ptr<CS_PeCountdown> countdown;
};

std::shared_ptr<Entity> CreateCS_Enemy_CounterBombSmall();